
INCLUDES = -I$(top_srcdir)/libtdegames $(all_includes)
METASOURCES = AUTO
KDE_ICON = kjumpingcube

bin_PROGRAMS = kjumpingcube
kjumpingcube_SOURCES = kjumpingcube.cpp kcubeboxwidget.cpp main.cpp \
                       kcubewidget.cpp cube.cpp brain.cpp cubebox.cpp \
                       settings.ui prefs.kcfgc

kjumpingcube_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_KIO) -ltdetexteditor
kjumpingcube_LDADD = $(LIB_TDEGAMES) $(LIB_KFILE)
kjumpingcube_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

xdg_apps_DATA = kjumpingcube.desktop
kde_kcfg_DATA = kjumpingcube.kcfg

rcdir = $(kde_datadir)/kjumpingcube
rc_DATA = kjumpingcubeui.rc

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kjumpingcube.pot

